> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/kaia/klay_newpendingtransactionfilter.md).

# kaia\_newPendingTransactionFilter

Creates a filter in the node, to notify when new pending transactions arrive.

#### **Parameters**

None

#### **Return Value**

| Type     | Description  |
| -------- | ------------ |
| QUANTITY | A filter id. |

#### Example

{% code overflow="wrap" %}

```json
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"kaia_newPendingTransactionFilter","params":[],"id":73}' http://kaia.blockpi.network/v1/rpc/your-api-key

// Result
{
  "jsonrpc":"2.0",
  "id":73,
  "result":"0x90cec22a723fcc725fb2462733c2880f"
}
```

{% endcode %}
